export interface BaseProdLineInfoVO {
  /**
   * 产线ID
   */
  prodLineId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 产线编号
   */
  prodLineCode: string;

  /**
   * 产线名称
   */
  prodLineName: string;

  /**
   * 产线类型
   */
  prodLineType: string;

  /**
   * 所属车间
   */
  workshopId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseProdLineInfoForm extends BaseEntity {
  /**
   * 产线ID
   */
  prodLineId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 产线编号
   */
  prodLineCode?: string;

  /**
   * 产线名称
   */
  prodLineName?: string;

  /**
   * 产线类型
   */
  prodLineType?: string;

  /**
   * 所属车间
   */
  workshopId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseProdLineInfoQuery extends PageQuery {

  /**
   * 产线ID
   */
  prodLineId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 产线编号
   */
  prodLineCode?: string;

  /**
   * 产线名称
   */
  prodLineName?: string;

  /**
   * 产线类型
   */
  prodLineType?: string;

  /**
   * 所属车间
   */
  workshopId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



