// 定义工艺路线步骤的接口
export interface ProdBaseRouteProcess {
  /** 工序ID */
  processId: string | number;
  /** 工序顺序 */
  processOrder: string | number;
  /** 备注 */
  remark?: string;
  /** 创建人 */
  createBy?: number;
  /** 创建时间 */
  createTime?: string;
  /** 更新人 */
  updateBy?: number;
  /** 更新时间 */
  updateTime?: string;
  /** 序号（前端使用） */
  index?: number;
}

export interface BaseRouteVO {
  /**
   * 工艺路线ID
   */
  routeId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 工艺路线名称
   */
  routeName: string;

  /**
   * 工艺路线说明
   */
  routeDesc: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 工艺路线步骤列表
   */
  routeProcessBoList?: ProdBaseRouteProcess[];

  routeProcessVoList?: ProdBaseRouteProcess[];

}

export interface BaseRouteForm extends BaseEntity {
  /**
   * 工艺路线ID
   */
  routeId?: string | number;

  /**
   * 工艺路线名称
   */
  routeName?: string;

  /**
   * 工艺路线说明
   */
  routeDesc?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 工艺路线步骤列表
   */
  routeProcessBoList?: ProdBaseRouteProcess[];

  routeProcessVoList?: ProdBaseRouteProcess[];
}

export interface BaseRouteQuery extends PageQuery {

  /**
   * 工艺路线ID
   */
  routeId?: string | number;

  /**
   * 工艺路线名称
   */
  routeName?: string;

  /**
   * 工艺路线说明
   */
  routeDesc?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



