export interface ConfigurationVO {
  /**
   * 表主键
   */
  configurationId: string | number;

  /**
   * 节点代码
   */
  nodeCode: string;

  /**
   * 节点名称
   */
  nodeName: string;

  /**
   * 审批是否
   */
  approveYesNo: string;

  /**
   * 审批类型（0人员审批，1角色审批，2流程审批）
   */
  approveType: string;

  /**
   * 审批代码
   */
  approveRoleCode: string;

  /**
   * 仓库ID
   */
  warehouseId: string | number;

  /**
   * 审批范围（0所有仓库，1仓库）
   */
  approveRange: string;

}

export interface ConfigurationForm extends BaseEntity {
  /**
   * 表主键
   */
  configurationId?: string | number;

  /**
   * 节点代码
   */
  nodeCode?: string;

  /**
   * 节点名称
   */
  nodeName?: string;

  /**
   * 审批是否
   */
  approveYesNo?: string;

  /**
   * 审批类型（0人员审批，1角色审批，2流程审批）
   */
  approveType?: string;

  /**
   * 审批代码
   */
  approveRoleCode?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 审批范围（0所有仓库，1仓库）
   */
  approveRange?: string;

}

export interface ConfigurationQuery extends PageQuery {

  /**
   * 表主键
   */
  configurationId?: string | number;

  /**
   * 节点代码
   */
  nodeCode?: string;

  /**
   * 节点名称
   */
  nodeName?: string;

  /**
   * 审批是否
   */
  approveYesNo?: string;

  /**
   * 审批类型（0人员审批，1角色审批，2流程审批）
   */
  approveType?: string;

  /**
   * 审批代码
   */
  approveRoleCode?: string;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 审批范围（0所有仓库，1仓库）
   */
  approveRange?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



