export interface InventoryCheckRecordVO {
  /**
   * 盘点记录主键
   */
  icRecordId: string | number;

  /**
   * 物料大类
   */
  materialCategories: string;

  /**
   * 盘点单号
   */
  checkCode: string;

  /**
   * 批次码
   */
  batchCode: string;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 库位编码
   */
  locationCode: string;

  /**
   * 物料编码
   */
  materialCode: string;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * 库存数量
   */
  inventoryQty: string;

  /**
   * 盘点数量
   */
  checkQty: number;

  /**
   * 盘点状态(0异常，1正常)
   */
  checkStatus: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty: number;

  /**
   * 是否发起调整（0否，1是）
   */
  isAdjust: string;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

  /**
   * 调整状态（0待执行，1完成）
   */
  adjustStatus: string;

  /**
   * 调整类型（1库存调整）
   */
  adjustType: string;

}

export interface InventoryCheckRecordForm extends BaseEntity {
  /**
   * 盘点记录主键
   */
  icRecordId?: string | number;

  /**
   * 物料大类
   */
  materialCategories?: string;

  /**
   * 盘点单号
   */
  checkCode?: string;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 库存数量
   */
  inventoryQty?: string;

  /**
   * 盘点数量
   */
  checkQty?: number;

  /**
   * 盘点状态(0异常，1正常)
   */
  checkStatus?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

  /**
   * 是否发起调整（0否，1是）
   */
  isAdjust?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 调整状态（0待执行，1完成）
   */
  adjustStatus?: string;

  /**
   * 调整类型（1库存调整）
   */
  adjustType?: string;

}

export interface InventoryCheckRecordQuery extends PageQuery {

  /**
   * 盘点记录主键
   */
  icRecordId?: string | number;

  /**
   * 物料大类
   */
  materialCategories?: string;

  /**
   * 盘点单号
   */
  checkCode?: string;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 库存数量
   */
  inventoryQty?: string;

  /**
   * 盘点数量
   */
  checkQty?: number;

  /**
   * 盘点状态(0异常，1正常)
   */
  checkStatus?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

  /**
   * 是否发起调整（0否，1是）
   */
  isAdjust?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 调整状态（0待执行，1完成）
   */
  adjustStatus?: string;

  /**
   * 调整类型（1库存调整）
   */
  adjustType?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



