export interface WmsPurchaseOrderVO {
  /**
   * 表主键
   */
  poId: string | number;

  /**
   * 订单编号
   */
  poNo: string;

  /**
   * 订单状态(1待采购2部分到货3订单完成)
   */
  poStatus: string;

  /**
   * 计划交货日期
   */
  planDeliveryDate: string;

  /**
   * 供应商ID
   */
  supplierId: string | number;

  /**
   * 订单类型(1人工创建,2ERP同步,3后台创建4)
   */
  poType: string;

  /**
   * 单据的ID，连表扩充
   */
  erpId: string | number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 租户号
   */
  tenantId: string | number;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: string;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 物料大类
   */
  materialCategories: string;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

}

export interface WmsPurchaseOrderForm extends BaseEntity {
  /**
   * 表主键
   */
  poId?: string | number;

  /**
   * 订单编号
   */
  poNo?: string;

  /**
   * 订单状态(1待采购2部分到货3订单完成)
   */
  poStatus?: string;

  /**
   * 计划交货日期
   */
  planDeliveryDate?: string;

  /**
   * 供应商ID
   */
  supplierId?: string | number;

  /**
   * 订单类型(1人工创建,2ERP同步,3后台创建4)
   */
  poType?: string;

  /**
   * 单据的ID，连表扩充
   */
  erpId?: string | number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 物料大类
   */
  materialCategories?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

}

export interface WmsPurchaseOrderQuery extends PageQuery {

  /**
   * 订单编号
   */
  poNo?: string;

  /**
   * 订单状态(1待采购2部分到货3订单完成)
   */
  poStatus?: string;

  /**
   * 计划交货日期
   */
  planDeliveryDate?: string;

  /**
   * 供应商ID
   */
  supplierId?: string | number;

  /**
   * 订单类型(1人工创建,2ERP同步,3后台创建4)
   */
  poType?: string;

  /**
   * 单据的ID，连表扩充
   */
  erpId?: string | number;

  /**
   * 物料大类
   */
  materialCategories?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



